Skip to main content
Monitoring & Collection/Scrape Collection
GETMonitoringSince 1.0SynchronousAuth Required

GetMaintenanceTargets

List all scrape targets currently in maintenance mode

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    Collection of result items

    Example: (nested array)

    • targetIdString

      UUID of the target under maintenance

      Example: target-001-abc

    • reasonString

      Reason for placing the target in maintenance mode

      Example: scheduled OS upgrade

    • startedAtString

      Started at

      Example: 2026-01-15T08:00:00Z

Endpoint

GET/api/v1/monitoring/scrape-health/maintenance

/api/v1/monitoring/scrape-health/maintenance

Operation ID

GetMaintenanceTargets

Permalink

Request Example

curl -X GET '{host}/api/v1/monitoring/scrape-health/maintenance' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "items": [
    {}
  ]
}

Change History

This API has no change history records yet.

View all change history